#!/bin/bash

PATH=/sbin:/bin:/usr/bin:/usr/sbin

version=`cat /etc/installer_version`
VERSION=$version
FIRSTBOOT_TOUCH_DIR="/var/lib/fmc/firstboot"
FIRSTBOOT_TOUCH_FILE=${FIRSTBOOT_TOUCH_DIR}/firstboot-${VERSION}.run

# update motd file
echo "" > /var/run/motd
echo "$VENDOR_NAME Flash Accel Management Console $version." >> /var/run/motd

if [ -a ${FIRSTBOOT_TOUCH_FILE} ]; then
  exit 0
fi

let "CLEAR_LINE_COUNT=30"
while [ ${CLEAR_LINE_COUNT} -gt 0 ]
do
   echo "" > /dev/tty1
   let "CLEAR_LINE_COUNT=CLEAR_LINE_COUNT - 1"
done

echo "Starting Flash Accel Management Console $version. This may take a few minutes." > /dev/tty1
echo "Please wait..." > /dev/tty1

# Setup the firstboot touch file location
if [ ! -d ${FIRSTBOOT_TOUCH_DIR} ]
then
    mkdir --parents ${FIRSTBOOT_TOUCH_DIR}
fi

# Install and upgrade vmware-tools
/usr/share/vapp/vmware/vmware-tools-install-and-upgrade.sh &

# while this PID does not exist in the ps list
# next line gets the PID of the last command
pid=$!
while ps -p $pid -o comm= >/dev/null
do
    echo -n "#" > /dev/tty1
    sleep 2
done
echo "" > /dev/tty1

# Create the flag to indicate that this script has been executed
touch ${FIRSTBOOT_TOUCH_FILE}

